/**
 +----------------------------------------------------------
 * 款式型号提交
 +----------------------------------------------------------
 */
function attAction(mode, product_id, att_id, del_value = '') {
    var target = $('#' + att_id + 'Html');
    var value = $('#' + att_id + 'Value').val();
    var remark = $('#' + att_id + 'Remark').val();
    var price_change = $('#' + att_id + 'PriceChange').val();
 
    if (!product_id) {
        alert('请先添加好商品，重新编辑时才可以添加款式');
    }
    
    $.ajax({
        type: "POST",
        url: 'attribute.php?rec=value&act=' + mode,
        data: {'mode':mode, 'product_id':product_id, 'att_id':att_id, 'value':value, 'remark':remark, 'price_change':price_change, 'del_value':del_value},
        dataType: 'json',
        success: function(data) {
            if (data.wrong) {
                alert(data.wrong);
            } else {
                target.html(data.html);
            }
        },
        error: function(data) {
            alert('系统错误，请联系管理员！');
        }
    });
}

/**
 +----------------------------------------------------------
 * 文件盒子.文件上传
 +----------------------------------------------------------
 */
function attImage(att_id, id) {
    var target = $('#' + att_id + 'Html');
    var formID = att_id + id + 'Form';
    var fieldID = att_id + id + 'Field';
    
    if ($('#' + formID).length == 0) {
        var form = 
           '<form action="attribute.php?rec=value&act=image" id="' + formID + '" enctype="multipart/form-data" style="display:none">'
           + '<input id="' + fieldID + '" type="file" name="image">'
           + '<input type="hidden" name="item_id" value="' + id + '">'
         + '</form>';
        $("body").append(form);
    }
   
    var field = $('#' + fieldID);
    var target = target ? target : 'content'; // 适配旧版
    
    // 点击文件域
    field.click();
    
    // 选择文件后文件域状态改变，开始提交表单
    field.off("change").on("change",function() {
        // 还要判断文件域是否为空
        if($(this).val() != '') { 
            $('#' + formID).ajaxForm({
                type: 'POST',
                data: {},
                dataType: 'json',
                success: function(data) {
                    target.html(data.html);
                },
                error: function(data) {
                    console.log('系统错误，请联系管理员！')
                },
                clearForm: true
            }).submit();
         
            // 每次执行后要清空文件域
            field.val('');
        } 
   })
}