-- DouPHP 模块数据导入
-- ------------------------------------------------------------------------------------------
-- OPERATE : NO-SHOW-MENU NO-SHOW-NAV


DROP TABLE IF EXISTS `dou_attribute`;
CREATE TABLE `dou_attribute` (
  `att_id` smallint(5) NOT NULL AUTO_INCREMENT,
  `cat_id` smallint(5) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `type` varchar(20) NOT NULL DEFAULT 'text',
  `sort` tinyint(1) unsigned NOT NULL DEFAULT '50',
  PRIMARY KEY (`att_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `dou_attribute_value`;
CREATE TABLE `dou_attribute_value` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` smallint(8) unsigned NOT NULL DEFAULT '0',
  `att_id` smallint(8) unsigned NOT NULL DEFAULT '0',
  `value` varchar(150) NOT NULL DEFAULT '',
  `type` varchar(20) NOT NULL DEFAULT 'text',
  `image` varchar(255) NOT NULL DEFAULT '',
  `remark` varchar(60) NOT NULL DEFAULT '',
  `price_change` decimal(10,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


